Delete webhook subscription
curl --request DELETE \
--url https://api.cdp.coinbase.com/platform/v2/data/webhooks/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cdp.coinbase.com/platform/v2/data/webhooks/subscriptions/{subscriptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cdp.coinbase.com/platform/v2/data/webhooks/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorType": "unauthorized",
"errorMessage": "The request is not properly authenticated."
}{
"errorType": "not_found",
"errorMessage": "Webhook subscription not found."
}{
"errorType": "rate_limit_exceeded",
"errorMessage": "Too many requests. Please try again later."
}{
"errorType": "internal_server_error",
"errorMessage": "An internal server error occurred. Please try again later."
}Webhooks
Delete webhook subscription
Permanently delete a webhook subscription and stop all event deliveries. This action cannot be undone.
Important Notes
- All webhook deliveries will cease immediately
- Subscription cannot be recovered after deletion
- Consider disabling instead of deleting for temporary pauses
DELETE
/
v2
/
data
/
webhooks
/
subscriptions
/
{subscriptionId}
Delete webhook subscription
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Path Parameters
Unique identifier for the webhook subscription.
Pattern:
^[a-f0-9\-]{36}$Response
Webhook subscription deleted successfully.
Was this page helpful?
⌘I